### Method

# AppStream Category set_icon

#### Declaration [src]

    void
    as_category_set_icon (
      AsCategory* category,
      const gchar* value
    )

#### Description [src]

Set the stock icon name for this category.

Sets property | `AppStream.Category:icon`

#### Parameters

`value`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.